/*
 * Vocoder
 *  2012 Achim Settelmeier <vocoder@m1.sirlab.de>
 *
 */

// Includes
#include "track.h"


// Track
Track::Track(const nframes_t _maxFrames,
	     const nframes_t _fps):
	maxFrames(_maxFrames),
	fps(_fps),
	numChannels(2)
{
	sampleBufferPtr=new sample_t[maxFrames * numChannels];
}


// ~Track
Track::~Track(){
	delete sampleBufferPtr;
}


// getBufferPtr
sample_t *Track::getBufferPtr(){
	return sampleBufferPtr;
}
